Read a Library item
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/library/{itemId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/library/{itemId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/library/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentMarkdown": "<string>",
"contentText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"generatorKey": "<string>",
"groundingEnabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "report",
"managedAgentTaskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provenance": {},
"status": "current",
"subjectKey": "<string>",
"supersededByItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"versionNumber": 2,
"versionCount": 2,
"versionHistory": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "current",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Read a Library item
GET
/
projects
/
{projectId}
/
library
/
{itemId}
Read a Library item
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
⌘I